Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4414 closed enhancement (fixed)

Return RTEMS_CALLED_FROM_ISR in rtems_task_delete()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: rtems Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Calling rtems_task_delete() from within interrupt context has an unpredictable behaviour. It depends on which thread is interrupted. Return an error status instead.

Change History (4)

comment:1 Changed on 05/26/21 at 12:41:13 by Sebastian Huber <sebastian.huber@…>

In [changeset:"b81d1ffd236574dcb9fca539c1efb631165877ea/rtems" b81d1ffd/rtems]:

rtems: Return RTEMS_CALLED_FROM_ISR

If rtems_task_delete() is called from within interrupt context, then
return RTEMS_CALLED_FROM_ISR. This makes the behaviour predictable.

Update #4414.

comment:2 Changed on 05/27/21 at 05:08:57 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"2509b62106c32560a2fad001eaef63cac8d53fd4/rtems-docs" 2509b62/rtems-docs]:

c-user: Document new rtems_task_delete() error

Close #4414.

comment:3 Changed on 05/27/21 at 05:13:14 by Sebastian Huber <sebastian.huber@…>

In [changeset:"2fdd00fcdc4361f46c727a601d9ee5ece01ca230/rtems" 2fdd00f/rtems]:

rtems: Document new rtems_task_delete() error

Update #4414.

comment:4 Changed on 06/23/21 at 07:07:55 by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.